Subject: PCI speed

From: Johan Borkhuis <[email-masked]>
Date: Wed, 07 Nov 2007 08:23:16 +0100

Hello,

I an having some throughput problems with my PCI. I am using a MVME3100 
board with on board PMC slots. I use a card with a large amount of 
memory on board (64 MB Reflective Memory card) and try to transfer data 
from the card to main memory using the DMA engine on the card.

When using standard memcpy I get a throughput of around 17 MB/s. When I 
use the DMA engine on the PCI card it improves to around 30 MB/s, but 
when I run the same test on an Intel machine the memcpy is the same, but 
the DMA increases to 200 MB/s. Is there some configuration that we can 
change to improve the speed on the PPC board?

I use the same driver code and the same test application on both platforms.

Kind regards,
    Johan Borkhuis